
/* Chrysalide - Outil d'analyse de fichiers binaires
 * source.h - prototypes pour la sélection du fichier ciblé lors d'une décompilation
 *
 * Copyright (C) 2010-2014 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  OpenIDA is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  OpenIDA is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _GUI_TB_SOURCE_H
#define _GUI_TB_SOURCE_H


#include "tbitem.h"



#define G_TYPE_SOURCE_TBITEM               g_source_tbitem_get_type()
#define G_SOURCE_TBITEM(obj)               (G_TYPE_CHECK_INSTANCE_CAST((obj), g_source_tbitem_get_type(), GToolbarItem))
#define G_IS_SOURCE_TBITEM(obj)            (G_TYPE_CHECK_INSTANCE_TYPE((obj), g_source_tbitem_get_type()))
#define G_SOURCE_TBITEM_CLASS(klass)       (G_TYPE_CHECK_CLASS_CAST((klass), G_TYPE_SOURCE_TBITEM, GToolbarItemClass))
#define G_IS_SOURCE_TBITEM_CLASS(klass)    (G_TYPE_CHECK_CLASS_TYPE((klass), G_TYPE_SOURCE_TBITEM))
#define G_SOURCE_TBITEM_GET_CLASS(obj)     (G_TYPE_INSTANCE_GET_CLASS((obj), G_TYPE_SOURCE_TBITEM, GToolbarItemClass))


/* Elément réactif listant les fichiers décompilés (instance) */
typedef struct _GSourceTbItem GSourceTbItem;

/* Elément réactif listant les fichiers décompilés (classe) */
typedef struct _GSourceTbItemClass GSourceTbItemClass;


/* Indique le type défini pour une liste de fichiers destinée à une barre d'outils. */
GType g_source_tbitem_get_type(void);

/* Crée une sélection de fichier réactive pour barre d'outils. */
GEditorItem *create_source_tb_item(GObject *ref);



#endif  /* _GUI_TB_SOURCE_H */
